%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Title: getN0star
%  Author: CGN
%    Date: 10/17/16
% Purpose: calculates N0*(x,z)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [N0star] = getN0star(x,z,params)

    % unpack relevant parameters
    mub=params.mub;
    theta=params.theta;
    f=params.f;
    D=params.D;
    p1h=params.p1h;
    k=params.k;
    opt=params.opt;
    
    % calculate mu using z
    mu = mub + z*theta;
    mumax = max(mu);

    % demand when developers set prices from (A1) in paper
    A1 = @(N0) N0*f'*D(p1h(exp(mumax*x)*N0)+k-p1h(exp(mu*x)*N0));
    
    % calculate N0star using bounds
    N0star = fzero(@(N0) 1-A1(N0), [1,1/opt]);
    
end

    