%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Title: getp1h
%  Author: CGN
%    Date: 10/24/16
% Purpose: calculates house price at time 1 in extension
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [p1h] = getp1h(N1,params)

    % unpack relevant parameters
    k=params.k;
    D=params.D;
    Dl=params.Dl;
    
    % seed
    p1h = zeros(size(N1));
    
    % excess demand
    myfun=@(p1h,N)1-Dl(p1h-k)-N*D(p1h);
    
    % cycle through N1 values
    for j=1:numel(N1)
        pguess=2*k;
        if myfun(pguess,N1(j))==0
            p1h(j)=pguess;
        elseif myfun(pguess,N1(j))>0
            while myfun(pguess,N1(j))>0
                pguess=k+(pguess-k)/2;
            end
            pmin=pguess;
            pmax=k+2*(pguess-k);
        elseif myfun(pguess,N1(j))<0
            while myfun(pguess,N1(j))<0
                pguess=k+2*(pguess-k);
            end
            pmin=k+(pguess-k)/2;
            pmax=pguess;
        end
        p1h(j)=fzero(@(p1h)myfun(p1h,N1(j)),[pmin,pmax]);
    end
    
end